package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.XhpcEquipmentAccident;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

public interface XhpcEquipmentAccidentMapper {


    List<Map<String,Object>> getLsit(@Param("address")String address);

    void  insertXhpcEquipmentAccident(XhpcEquipmentAccident xhpcEquipmentAccident);

    void updateXhpcEquipmentAccident(XhpcEquipmentAccident xhpcEquipmentAccident);

    Map<String,Object> getXhpcEquipmentAccidentById(@Param("equipmentAccidentId")Long equipmentAccidentId);

    void deleteXhpcEquipmentAccidentById(@Param("equipmentAccidentId")Long equipmentAccidentId);
}
